Wanted: a python24 package for Python 2.3

Jonathan Fine jfine at pytex.org
Tue Mar 20 17:50:01 CET 2007


Alex Martelli wrote:
> Jonathan Fine <jfine at pytex.org> wrote:
>    ...
> 
>>In other words, I'm asking for a python24 package that
>>contains all (or most) of the modules that are new to
>>Python 2.4.
> 
> 
> For subprocess specifically, see
> <http://www.lysator.liu.se/~astrand/popen5/> .  

Thanks for the URL.

> I don't think anybody's
> ever packaged up ALL the new stuff as you require.

Actually, all I require (for now) is subprocess.  So
I went and made a python24 module.  I'll change this
if people think something else would be better.  (It's
easy to ask for forgiveness than ask for permission.)

I can show you what I've done:
     http://texd.cvs.sourceforge.net/texd/py/python24/
http://texd.cvs.sourceforge.net/texd/py/tex/util.py?revision=1.4&view=markup

My idea is that python24 should contain the Python 2.4
modules that those who are still on Python 2.3 might
want to use.

Similarly, python26 would be modules that are new
for Python 2.6 (which has not been released next).

I doubt that I'm the only one with this problem, and
this is my suggestion for making it easier to solve.

-- 
Jonathan





More information about the Python-list mailing list